Problema de actualizaciones

Spanish Forum

Moderator: vrkalak

Problema de actualizaciones

Postby mistreated on Sun Oct 07, 2007 9:28 am

Intenté instalar un paquete con Crossover y me falló la instalación. Ahora no puedo ni instalar nada por medio de paquetes deb ni de repositorios, ni siquiera actualizar el sistema.

Este es el mensaje que me sale:
Ha ocurrido un problema imposible de corregir cuando se inicializaba la información de los paquetes.

Por favor, informe de ésto como un fallo en el paquete «update-manager» e incluya el siguiente mensaje de error:

'E:El paquete crossover-pro necesita ser reinstalado, pero no se encuentra un archivo para éste.'


He intentado reinstalar el mismo paquete varias veces, me lo he bajado de nuevo, y nada. No hay manera, cada paquete q me descargo dice que está corrupto. Espero que alguien me diga cómo borrar definitivamente el paquete corrupto de crossover o como solucionar el problema. Muchas Gracias!
mistreated
Level 1
Level 1
 
Posts: 10
Joined: Tue Aug 07, 2007 10:06 pm

Linux Mint is funded by ads and donations.
 

Postby frank392 on Sun Oct 07, 2007 2:04 pm

@ mistreated

bueno primeramente unas cuantas preguntas para poder descartar lo mas sencillo primeramente:

el crossover que tienes que versión es, es original?

tienes experiencia usando ese programa?

lo corriste como usando sudo?

lo istalaste como tal?

que programa quisiste instalar?
frank392
Level 4
Level 4
 
Posts: 353
Joined: Wed Nov 22, 2006 1:29 pm

Postby mistreated on Mon Oct 08, 2007 6:08 am

Esta es la versión que me descargué, el nombre completo del paquete: crossover-pro-6.0.0-1-official.i386.sh.deb-rpm-xandros

Lo cierto es q no pensé que pudiera ser software privado, y si es así no lo instalaré porque no tengo licencia. Pero al menos desearía arreglar mi problema.

No tengo experiencia con el programa, ni siquiera lo cnocía hasta hace unos días. Lo instalé ejecutando con doble clic un paquete deb. A mitad de la instalación se bloqueó el PC y tuve que cerrar los programas abiertos. Cuando intenté volver a ejecutar el archivo me decía que estaba dañado. Lo volví y descargar de nuevo y al ejecutarlo me decía q tb estaba dañado, aunque lo cierto es q en la página en la que me lo bajé leí a gente que comentaba que le funcionaba sin problemas. Intenté acceder a Synaptic para borrar el paquete a medio instalar pero se cierra solo y me dice un mensaje similar al que ya posteé en el primer mensaje. Luego comprobé que el actualizador automático ha dejado de funcionar y que no puedo correr ningún paquete deb. Siempre me sale el mismo mensaje.
Lo cierto es q no tengo ni idea de cómo solucionar el problema. muchas gracias Frank392, espero que puedas ayudarme, estaría muy agradecido.
mistreated
Level 1
Level 1
 
Posts: 10
Joined: Tue Aug 07, 2007 10:06 pm

Postby frank392 on Mon Oct 08, 2007 12:19 pm

@ mistreated
bueno primer consejo no a la pirateria :twisted:

primero corre un antivirus :roll: solo bromendo aunque pensandolo bien talvez no sea una mala idea.

apt-get sera tu nuevo amigo :D

puedes intentar

sudo apt-get autoclean este comando te remueve paquetes que ya no pueden se bajados


sudo apt-get check este comando updatea el cache de los paquetes y chequea por paketes rotos


sudo apt-get remove aca pon el nombre del paquete que quieras desinstalar este como su nombre lo dice


sudo apt-get update este sincroniza los paquetes con su fuente

si todo esto no funciona ya sabes....
frank392
Level 4
Level 4
 
Posts: 353
Joined: Wed Nov 22, 2006 1:29 pm

Postby mistreated on Mon Oct 08, 2007 6:38 pm

desde luego q ya no instalaré nada más de software privativo, me informaré antes de descargar...
La cuestión es q he seguido tus consejos y después de teclear en la consola como root cada uno de los comandos que me has dado, me sale una y otra vez el mensaje eternamente repetido de q el paquete crossover-pro necesita ser reinstalado pero no se encuentra un paquete, cuando en realidad tengo el mismo paquete descargado en la misma ubicación de la primera vez.

Voy a pegarte lo que me sale en la consola. Sé que es un coñazo, pero ya que estás dispuesto a ayudarme, te pido un poco más, jeje, espero q no te lo tomes a mal. Esto es lo q me sale en la consola tras seguir tus consejos:

------------------------------------------------------------------------------------------------------
root@cristobal-desktop:/home/cristobal# sudo apt-get autocleanLeyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo información de estado... Hecho
root@cristobal-desktop:/home/cristobal# sudo apt-get check
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo información de estado... Hecho
E: El paquete crossover-pro necesita ser reinstalado, pero no se encuentra un archivo para éste.
root@cristobal-desktop:/home/cristobal# sudo apt-get remove crossover-pro
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo información de estado... Hecho
E: El paquete crossover-pro necesita ser reinstalado, pero no se encuentra un archivo para éste.
root@cristobal-desktop:/home/cristobal# sudo apt-get update
Des:1 http://archive.canonical.com feisty-commercial Release.gpg [191B]
Ign http://archive.canonical.com feisty-commercial/main Translation-es
Des:2 http://download.tuxfamily.org feisty Release.gpg [189B]
Ign http://download.tuxfamily.org feisty/avant-window-navigator Translation-es
Des:3 http://security.ubuntu.com feisty-security Release.gpg [191B]
Ign http://security.ubuntu.com feisty-security/main Translation-es
Des:4 http://archive.ubuntu.com feisty Release.gpg [191B]
Obj http://archive.ubuntu.com feisty/main Translation-es
Obj http://archive.canonical.com feisty-commercial Release
Des:5 http://medibuntu.sos-sts.com feisty Release.gpg [189B]
Ign http://medibuntu.sos-sts.com feisty/free Translation-es
Des:6 http://download.tuxfamily.org feisty Release.gpg [189B]
Ign http://download.tuxfamily.org feisty/eyecandy Translation-es
Ign http://www.linuxmint.com cassandra/ Release.gpg
Ign http://www.linuxmint.com cassandra/ Translation-es
Obj http://download.tuxfamily.org feisty Release
Ign http://security.ubuntu.com feisty-security/restricted Translation-es
Ign http://security.ubuntu.com feisty-security/universe Translation-es
Ign http://security.ubuntu.com feisty-security/multiverse Translation-es
Ign http://e17.dunnewind.net edgy Release.gpg
Ign http://e17.dunnewind.net edgy/e17 Translation-es
Ign http://e17.dunnewind.net edgy/deb-src Translation-es
Ign http://e17.dunnewind.net edgy/http://e17.dunnewind.net/ubuntu Translation-es
Obj http://archive.ubuntu.com feisty/restricted Translation-es
Obj http://archive.ubuntu.com feisty/universe Translation-es
Obj http://archive.ubuntu.com feisty/multiverse Translation-es
Des:7 http://archive.ubuntu.com feisty-proposed Release.gpg [191B]
Ign http://archive.ubuntu.com feisty-proposed/main Translation-es
Ign http://archive.ubuntu.com feisty-proposed/restricted Translation-es
Ign http://archive.ubuntu.com feisty-proposed/universe Translation-es
Ign http://archive.ubuntu.com feisty-proposed/multiverse Translation-es
Ign http://medibuntu.sos-sts.com feisty/non-free Translation-es
Ign http://www.linuxmint.com romeo/ Release.gpg
Ign http://www.linuxmint.com romeo/ Translation-es
Ign http://www.linuxmint.com cassandra/ Release
Obj http://archive.canonical.com feisty-commercial/main Packages
Obj http://medibuntu.sos-sts.com feisty Release
Obj http://download.tuxfamily.org feisty Release
Obj http://security.ubuntu.com feisty-security Release
Des:8 http://archive.ubuntu.com feisty-updates Release.gpg [191B]
Ign http://archive.ubuntu.com feisty-updates/main Translation-es
Ign http://e17.dunnewind.net edgy/edgy Translation-es
Ign http://e17.dunnewind.net edgy/e17 Translation-es
Ign http://archive.ubuntu.com feisty-updates/restricted Translation-es
Ign http://archive.ubuntu.com feisty-updates/universe Translation-es
Ign http://www.linuxmint.com romeo/ Release
Ign http://ftp.osuosl.org feisty/ Release.gpg
Ign http://ftp.osuosl.org feisty/ Translation-es
Obj http://download.tuxfamily.org feisty/avant-window-navigator Packages
Obj http://download.tuxfamily.org feisty/avant-window-navigator Sources
Ign http://medibuntu.sos-sts.com feisty/free Packages
Ign http://archive.ubuntu.com feisty-updates/multiverse Translation-es
Des:9 http://archive.ubuntu.com feisty-backports Release.gpg [191B]
Ign http://archive.ubuntu.com feisty-backports/main Translation-es
Ign http://archive.ubuntu.com feisty-backports/restricted Translation-es
Ign http://archive.ubuntu.com feisty-backports/universe Translation-es
Ign http://archive.ubuntu.com feisty-backports/multiverse Translation-es
Ign http://e17.dunnewind.net edgy Release
Obj http://security.ubuntu.com feisty-security/main Packages
Obj http://archive.ubuntu.com feisty Release
Obj http://archive.ubuntu.com feisty-proposed Release
Ign http://www.linuxmint.com cassandra/ Packages
Obj http://download.tuxfamily.org feisty/eyecandy Packages
Obj http://download.tuxfamily.org feisty/eyecandy Sources
Obj http://archive.ubuntu.com feisty-updates Release
Ign http://medibuntu.sos-sts.com feisty/non-free Packages
Ign http://e17.dunnewind.net edgy/e17 Packages
Obj http://security.ubuntu.com feisty-security/restricted Packages
Obj http://security.ubuntu.com feisty-security/universe Packages
Obj http://security.ubuntu.com feisty-security/multiverse Packages
Ign http://ftp.osuosl.org feisty/ Release
Obj http://archive.ubuntu.com feisty-backports Release
Ign http://www.linuxmint.com romeo/ Packages
Obj http://archive.ubuntu.com feisty/main Packages
Obj http://archive.ubuntu.com feisty/restricted Packages
Obj http://security.ubuntu.com feisty-security/main Sources
Obj http://security.ubuntu.com feisty-security/restricted Sources
Obj http://security.ubuntu.com feisty-security/universe Sources
Obj http://security.ubuntu.com feisty-security/multiverse Sources
Obj http://medibuntu.sos-sts.com feisty/free Packages
Ign http://e17.dunnewind.net edgy/deb-src Packages
Ign http://e17.dunnewind.net edgy/http://e17.dunnewind.net/ubuntu Packages
Ign http://e17.dunnewind.net edgy/edgy Packages
Ign http://e17.dunnewind.net edgy/e17 Packages
Obj http://www.linuxmint.com cassandra/ Packages
Ign http://ftp.osuosl.org feisty/ Packages
Obj http://medibuntu.sos-sts.com feisty/non-free Packages
Obj http://www.linuxmint.com romeo/ Packages
Obj http://archive.ubuntu.com feisty/universe Packages
Obj http://archive.ubuntu.com feisty/multiverse Packages
Obj http://archive.ubuntu.com feisty/main Sources
Obj http://archive.ubuntu.com feisty/restricted Sources
Obj http://archive.ubuntu.com feisty/universe Sources
Obj http://archive.ubuntu.com feisty/multiverse Sources
Obj http://archive.ubuntu.com feisty-proposed/main Packages
Obj http://archive.ubuntu.com feisty-proposed/restricted Packages
Obj http://archive.ubuntu.com feisty-proposed/universe Packages
Obj http://archive.ubuntu.com feisty-proposed/multiverse Packages
Err http://e17.dunnewind.net edgy/e17 Packages
404 Not Found
Err http://e17.dunnewind.net edgy/deb-src Packages
404 Not Found
Err http://e17.dunnewind.net edgy/http://e17.dunnewind.net/ubuntu Packages
404 Not Found
Err http://e17.dunnewind.net edgy/edgy Packages
404 Not Found
Obj http://ftp.osuosl.org feisty/ Packages
Obj http://archive.ubuntu.com feisty-updates/main Packages
Obj http://archive.ubuntu.com feisty-updates/restricted Packages
Obj http://archive.ubuntu.com feisty-updates/universe Packages
Obj http://archive.ubuntu.com feisty-updates/multiverse Packages
Obj http://archive.ubuntu.com feisty-updates/main Sources
Obj http://archive.ubuntu.com feisty-updates/restricted Sources
Obj http://archive.ubuntu.com feisty-updates/universe Sources
Obj http://archive.ubuntu.com feisty-updates/multiverse Sources
Obj http://archive.ubuntu.com feisty-backports/main Packages
Obj http://archive.ubuntu.com feisty-backports/restricted Packages
Err http://e17.dunnewind.net edgy/e17 Packages
404 Not Found
Obj http://archive.ubuntu.com feisty-backports/universe Packages
Obj http://archive.ubuntu.com feisty-backports/multiverse Packages
Obj http://archive.ubuntu.com feisty-backports/main Sources
Obj http://archive.ubuntu.com feisty-backports/restricted Sources
Obj http://archive.ubuntu.com feisty-backports/universe Sources
Obj http://archive.ubuntu.com feisty-backports/multiverse Sources
Descargados 9B en 1s (5B/s)
Imposible obtener http://e17.dunnewind.net/ubuntu/dists/e ... ackages.gz 404 Not Found
Imposible obtener http://e17.dunnewind.net/ubuntu/dists/e ... ackages.gz 404 Not Found
Imposible obtener http://e17.dunnewind.net/ubuntu/dists/e ... ackages.gz 404 Not Found
Imposible obtener http://e17.dunnewind.net/ubuntu/dists/e ... ackages.gz 404 Not Found
Imposible obtener http://e17.dunnewind.net/ubuntu/dists/e ... ackages.gz 404 Not Found
Leyendo lista de paquetes... Hecho
E: Algunos archivos de índice no se han podido descargar, se han ignorado,
o se ha utilizado unos antiguos en su lugar.

----------------------------------------------------------------------------------------------

Espero q entre tanto tostón puedas sacar algo en claro porque yo estoy ya un poco desesperado. Gracias colega :!:
mistreated
Level 1
Level 1
 
Posts: 10
Joined: Tue Aug 07, 2007 10:06 pm

Postby frank392 on Mon Oct 08, 2007 7:52 pm

por el momento se me ocurre una idea medio loca pero talvez funcione esto es a tu propio riesgo si quieres intentarlo, bueno dicho esto porque no bajas el demo original de crosoveroffice, cuando instalas este demo tiende a override anteriores instalaciones, esto podría arreglarlo.

http://www.codeweavers.com/

si esto no funciona habrá que ver mas a fondo lo que paso en el sistema :(

una pregunta cuando lo instalaste lo hiciste como root?
pues crossover NO se instala como root
frank392
Level 4
Level 4
 
Posts: 353
Joined: Wed Nov 22, 2006 1:29 pm

Postby mistreated on Wed Oct 10, 2007 7:22 am

nada, frank392, no hay manera..estoy pensando en desistir.... no se arregla de ninguna manera...

Muchas gracias frank :!: :!: :!:
mistreated
Level 1
Level 1
 
Posts: 10
Joined: Tue Aug 07, 2007 10:06 pm

Postby frank392 on Wed Oct 10, 2007 12:05 pm

ya probaste re instalar synaptic?
puedes usar

sudo apt-get install synaptic
frank392
Level 4
Level 4
 
Posts: 353
Joined: Wed Nov 22, 2006 1:29 pm

Postby mistreated on Wed Oct 10, 2007 6:14 pm

mismo mensaje de error...
me da en la nariz q voy a tener que acabar renovando la distro... :roll:
mistreated
Level 1
Level 1
 
Posts: 10
Joined: Tue Aug 07, 2007 10:06 pm

Postby maty1206 on Thu Oct 11, 2007 2:20 pm

mistreated wrote:mismo mensaje de error...
me da en la nariz q voy a tener que acabar renovando la distro... :roll:


Hola amigo.

Disculpa por tardar en ayudar.


Quizás te sirva esto:

Code: Select all
sudo apt-get autoremove
Linux Mint apps translator
maty1206
Level 6
Level 6
 
Posts: 1065
Joined: Sun Jun 24, 2007 4:39 pm
Location: Costa Rica

Postby mistreated on Sat Oct 13, 2007 8:22 am

Hola Maty... me da el mismo mensaje de error... yo creo q voy a tener pesadillas con él, jeje...

Gracias por audar muchachos :wink:
mistreated
Level 1
Level 1
 
Posts: 10
Joined: Tue Aug 07, 2007 10:06 pm

Postby frank392 on Sat Oct 13, 2007 12:42 pm

creo que a estas alturas lo mejor sera que re instales tu sistema, pues es muy difícil saber que paso en realidad pues el programa que instalaste puede muy bien puede ser cualquier cosa y no lo que tu querías instalar. y ya no instales cosas de los torrents sin verificar su autenticidad.
la pena es que no sacaste un backup de algunos archivos inportantes de tu sistema. eso haría mas fácil el poder arreglarlo.
otra cosa que podrías hacer es empesar por editar tus repositorios tienes muchos que no funciona, otra cosa remueve los de romeo dan muchos problemas
frank392
Level 4
Level 4
 
Posts: 353
Joined: Wed Nov 22, 2006 1:29 pm

Postby maty1206 on Sat Oct 13, 2007 12:48 pm

mistreated wrote:Hola Maty... me da el mismo mensaje de error... yo creo q voy a tener pesadillas con él, jeje...

Gracias por audar muchachos :wink:


Querido amigo.

Seré pragmático en mi respuesta, espero que entiendas mi posición.

Linux Mint no es lo que produjo el fallo, por desgracia muchas veces creemos que todo en GNU/Linux es gratis, pero desconocemos el hecho de que la piratería también se da en el mundo del pingüino.

En definitiva te recomiendo que te reinstales el Mint desde cero, haz un respaldo de los documentos que te interesan.

Luego utiliza un particionador como gparted:
http://es.wikipedia.org/wiki/GParted

Finalmente instala Mint en tu edición favorita.

Creo que es lo más viable.

Un abrazo
Linux Mint apps translator
maty1206
Level 6
Level 6
 
Posts: 1065
Joined: Sun Jun 24, 2007 4:39 pm
Location: Costa Rica

Postby maty1206 on Sat Oct 13, 2007 12:54 pm

@Frank392:

Coincido contigo amigo.

Gracias por tu colaboración.

Un abrazo
Linux Mint apps translator
maty1206
Level 6
Level 6
 
Posts: 1065
Joined: Sun Jun 24, 2007 4:39 pm
Location: Costa Rica

Postby maty1206 on Sun Oct 14, 2007 1:21 pm

mistreated wrote:Hola Maty... me da el mismo mensaje de error... yo creo q voy a tener pesadillas con él, jeje...

Gracias por audar muchachos :wink:


Hola amigo.

Te tengo una excelente noticia. A mi me sucedió el mismo inconveniente que a ti, pero fue porque interrumpí la instalación de virtual box con Gdebi.

Para solucionar tu problema solamente escribe este comando en la consola:

Code: Select all
sudo dpkg --remove --force-remove-reinstreq NOMBREDELAAPLICACIÓN


En tu caso sería:


Code: Select all
sudo dpkg --remove --force-remove-reinstreq crossover-pro


Por favor avísame si te sirve.

Un abrazo
Linux Mint apps translator
maty1206
Level 6
Level 6
 
Posts: 1065
Joined: Sun Jun 24, 2007 4:39 pm
Location: Costa Rica

Postby mistreated on Sun Oct 14, 2007 2:42 pm

Funcionó Maty :!: :!: :D :D :D

Estoy absolutamente agradecido de vosotros, de los que tanto aprendo (y no lo digo por halagar gratuitamente, ya que leo el blog de Maty y muchos más de otros compañeros). Me habeis demostrado una ayuda inestimable. De veras, Mil gracias :!: :!: :!:

Ahora mismo estoy actualizando el sistema a 300kb/s. Por cierto, quería pediros perdón si pareció que yo achacaba los problemas de mi sistema a Linux Mint. Soy fiel a esta distro, que es la mejor que he probado, y que seguiré actualizando con Daryna y otros lanzamientos venideros.

Saludos compañeros :!:
mistreated
Level 1
Level 1
 
Posts: 10
Joined: Tue Aug 07, 2007 10:06 pm

Postby maty1206 on Sun Oct 14, 2007 3:18 pm

@mistreated:

Me satisface enormemente que ya todo esté arreglado amigo querido.

No te preocupes por disculparte, no hay ningún problema. Me alegra que tengas preferencia pro Mint.

He pasado horas de horas buscando solución a tus problemas hasta que finalmente lo logré.

Cuídate mucho.

PD: Te agradezco la lectura de mi blog. Es en verdad alagador.
PD2: En unas cuantas horas tendré una sorpresa enorme para mis lectores.


Un mega abrazo

Cierro este tema :!:
Linux Mint apps translator
maty1206
Level 6
Level 6
 
Posts: 1065
Joined: Sun Jun 24, 2007 4:39 pm
Location: Costa Rica

Linux Mint is funded by ads and donations.
 

Return to Español (Spanish)

Who is online

Users browsing this forum: No registered users and 10 guests